Bug 441090 - RFE: capture core files into $resultdir
RFE: capture core files into $resultdir
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 23:09 EDT by Matt Domsch
Modified: 2013-05-04 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-03 21:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initial cut at chroot_scan plugin (4.31 KB, patch)
2013-04-11 16:01 EDT, Clark Williams
no flags Details | Diff

  None (edit)
Description Matt Domsch 2008-04-05 23:09:34 EDT
Description of problem:
on occasion, a build will fail due to a segfault by gcc or other such apps.  It
would be beneficial to capture the core files produced in such failures to
include in the resultdir, to help determine the source of the underlying
failure.  While such failures cause a FTBFS, the root cause bug is going to be
in the compiler.
Comment 1 Michael E Brown 2008-04-06 20:03:59 EDT
-- Any proposal for how to do this?

-- Any reason this could not be done by a separate program?
Comment 2 Jon Stanley 2008-04-23 16:30:00 EDT
Adding FutureFeature keyword to RFE's.
Comment 3 Ville Skyttä 2010-03-22 16:31:40 EDT
(In reply to comment #1)

Just some thoughts off the cuff, not sure about doability/feasibility:

> -- Any proposal for how to do this?

If a build fails, find filenames matching "core(\.\d+)?" from build root, copy them somewhere below resultdir along with their relative parent dirs from build root (cp --parents).

BTW, config.log (autoconf log) would be nice to have similarly stashed in resultdir if it's found in build dir.  Perhaps also logs for other common build tools (cmake, scons?) if they have predictable file names.

Maybe stash all these even if the build succeeds, and output a warning if core files were found?

> -- Any reason this could not be done by a separate program?    

I suppose that wouldn't work with the tmpfs plugin.
Comment 4 Fedora Admin XMLRPC Client 2011-03-11 13:09:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Clark Williams 2013-04-11 13:43:16 EDT
How would you feel about it being a plugin?

I figure we could install a 'postbuild' hook that would scan the chroot for files of interest and then copy them into the result dir. 

Would that work for you?
Comment 6 Clark Williams 2013-04-11 16:01:15 EDT
Created attachment 734384 [details]
initial cut at chroot_scan plugin

Here's my first try at a plugin that when enabled will scan the chroot for files matching the regex'es passed in. 

Please let me know if this is close to what you want.
Comment 7 Fedora Update System 2013-04-16 13:34:21 EDT
mock-1.1.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc19
Comment 8 Fedora Update System 2013-04-16 13:35:25 EDT
mock-1.1.31-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc17
Comment 9 Fedora Update System 2013-04-16 13:36:21 EDT
mock-1.1.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.el6
Comment 10 Fedora Update System 2013-04-16 13:37:16 EDT
mock-1.1.31-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc18
Comment 11 Fedora Update System 2013-04-17 12:21:56 EDT
Package mock-1.1.31-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.31-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5858/mock-1.1.31-1.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-04-18 16:27:38 EDT
mock-1.1.32-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc17
Comment 13 Fedora Update System 2013-04-18 16:28:54 EDT
mock-1.1.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc18
Comment 14 Fedora Update System 2013-04-18 16:30:20 EDT
mock-1.1.32-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.el6
Comment 15 Fedora Update System 2013-04-18 16:31:46 EDT
mock-1.1.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc19
Comment 16 Fedora Update System 2013-05-03 21:40:48 EDT
mock-1.1.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-05-04 22:28:45 EDT
mock-1.1.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-05-04 22:29:55 EDT
mock-1.1.32-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.